---
title: 'Ada Lovelace, la codeuse de l’ombre'
date: '2023-02-21'
author: 'Lucie Margaria'
type: 'news'
illustration: '/images/posts/ada-lovelace.png'
---

**Un mois, une femme, une avancée. Astrolabe CAE met en lumière chaque mois à partir de mars jusqu’à juin, une femme de science, qui a, par ses travaux, contribué à façonner le monde d’aujourd’hui et de demain.**

Souvent considérée comme la première codeuse de l’Histoire, Ada Lovelace, née le 10 décembre 1815, était pourtant bien destinée à un tout autre avenir.

Issue de la noblesse anglaise du 19e siècle, Ada Lovelace, comme la plupart des femmes de son époque, n’avait pas la liberté d’étudier les mathématiques et les sciences. C'est pourtant en transgressant les mœurs et les préjugés que la comtesse de Lovelace devint la première personne au monde à réaliser un programme informatique.

La naissance de cet attrait trouve son origine auprès de sa mère, Annabella Milbanke, qui insista pour qu’on enseigne à sa fille les mathématiques et les sciences.

À l’age de ses 17 ans, la vie d’Ada Lovelace prie un tournant majeur, en rencontrant le mathématicien et inventeur [Charles Babbage](https://fr.wikipedia.org/wiki/Charles_Babbage). De cette rencontre naît une fascination de la part de la jeune fille pour ses machines à calcules, appelées [machines à différences](https://fr.wikipedia.org/wiki/Machine_%C3%A0_diff%C3%A9rences). [Charles Babbage](https://fr.wikipedia.org/wiki/Charles_Babbage) devint rapidement son mentor et même une figure paternel.

En 1835, contrairement à la plupart des autres femmes de son époque, Ada Lovelace portait plusieurs casquettes. Elle était à la fois une épouse, une mère, une comtesse et la collaboratrice de [Charles Babbage](https://fr.wikipedia.org/wiki/Charles_Babbage). 

En 1843, [Babbage](https://fr.wikipedia.org/wiki/Charles_Babbage) acheva le développement de la [machine analytique](https://fr.wikipedia.org/wiki/Machine_analytique), un modèle plus complexe de la [machine à différences](https://fr.wikipedia.org/wiki/Machine_%C3%A0_diff%C3%A9rences). L’ingénieur demanda à Lovelace d’être la traductrice du mémoire destiné au journal Scientific Memoirs. Entre 1842 et 1843, elle traduisait le texte originel en français, tout en ajoutant ses propres notes sur lesquelles on pouvait retrouver les initiales : *AAL*

<br></br>

<center>
<a href="https://fr.wikipedia.org/wiki/Ada_Lovelace">
<img src="/images/posts/Adalovelace_calculusletterlarge.png" alt="Notes Ada Lovelace">
</a>
</center>

<br></br>

L’ensemble des écrits d’Ada Lovelace représentait près de trois fois le volume du texte d'origine. Ces notes contiennent le premier programme informatique publié, destiné à être exécuté par la [machine à différences](https://fr.wikipedia.org/wiki/Machine_%C3%A0_diff%C3%A9rences) de [Charles Babbage](https://fr.wikipedia.org/wiki/Charles_Babbage). Cette preuve désigne Ada Lovelace, comme étant la première personne à avoir programmé au monde.

Malheureusement, par manque de financements de la part du gouvernement britannique, [Charles Babbage](https://fr.wikipedia.org/wiki/Charles_Babbage) ne put terminer la conception de sa [machine analytique](https://fr.wikipedia.org/wiki/Machine_analytique) et les notes d’Ada Lovelace tombèrent dans l’oubli. 

Ada Lovelace mourut le 10 novembre 1852, sans avoir pu prendre conscience de l’importance de ses travaux visionnaires. C’est en 1953, que ses notes réapparaissent publiquement dans un livre sur l’informatique numérique, soit 99 ans après la mort de l’autrice.

En 1979, en son hommage, le département américain de la Défense (DoD) a nommé un langage de programmation : [Ada](https://fr.wikipedia.org/wiki/Ada_(langage)) 

<br></br>

<center>
<a href="https://fr.wikipedia.org/wiki/Ada_(langage)">
<img src="/images/posts/ada_language_logo.png" alt="Ada Langage de programmation">
</a>
</center>

<br></br>


En 2023, Astrolabe CAE lui rend hommage à travers un article intitulé : *Ada Lovelace, la codeuse de l’ombre*

