---
title: 'ChatGPTel'
date: '2023-04-01'
author: 'Yannick Le Duc'
type: 'news'
illustration: '/images/posts/chatgptel.jpg'
---

# Pourquoi ?

Au sein d'Astrolabe CAE, nous avons une équipe de passionnés et d’engagés sur la **transition écologique**, et nous raisonnons en permanence à réduire notre empreinte carbone dans toutes nous activités (que ce soit en interne, ou pour nos clients).

Nous croyons en particulier qu'il faut lutter jusqu'au contre l'**obsolescence programmée** en maximisant la réutilisation des équipements numériques.

De plus, nous souhaitons pouvoir agir afin de délaisser le moins de personnes en marge des dernières avancées technologiques, en agissant **contre l'illectronisme** grandissant dans nos territoires, et en particulier chez les générations nées avant la révolution des micro-ordinateurs.

Nous avons donc bousculé notre **Cercle Innovation** et agité nos méninges, puis réuni nos forces de **Recherche et Développement** pour ressusciter des équipements numériques dormant dans certains greniers ou garages et leur donner une seconde vie à la pointe de la technologie du moment.

# Quoi ?

C'est pour cela que nous lançons aujourd'hui la première version de **ChatGPTel** (ChatGPT sur Minitel).

Sortez vos Minitel, enlevez délicatement la couche de poussière, et profitez dès à présent de cette révolution majeure qu'est l'**Intelligence Artificielle générative** en pouvant dialoguer et interroger directement ce qui est considéré à ce jour comme le nec-plus-ultra du domaine.

Tout ceci a été rendu possible grâce à la conjonction de **2 mondes** qui redonnent espoir en un numérique responsable en empreinte carbone :
- le monde du **logiciel libre** : qui offre entre autre la possibilité de tout à chacun de collaborer et améliorer en permanence un code commun, en l'améliorant, le robustifiant, le rendant aussi plus économe en ressources énergétiques
- le mouvement des **Makers** : qui promeut la réparabilité, le D-I-Y (do-it-yourself), l'innovation par l'usage et le ré-emploi

# Comment faire pour utiliser ChatGPTel ?

Il vous faut :
- un minitel (dépoussiéré)
- un petit boitier MiniMit
- télécharger le code de ChatGPTel (basé sur GPT4) directement depuis le notre repository Git Astrolabe.

Le code et la documentation, tout publié sous licence libre (BSD), est disponible sur Astrogit par ce lien <https://www.astrolabe.coop/astrogit/>.

Tout ceci a été rendu possible grâce à :
- La formidable équipe d'Astrolabe CAE
<https://www.astrolabe.coop/equipe/>
- Le fabuleux projet Minimit 
<https://multiplié.fr/fr/1-3/objets/minimit>
- L'éditeur open-source Miedit
<https://github.com/Zigazou/miedit>
 
# Et ensuite ?

La prochaine étape en étude par notre équipe de R&D est de coupler cette technologie avec l'ancètre des enceintes communicantes actuelles (tels que les "Am... Alex...", "Goo... Hom...", "App... Homep..."), notre chez objet communicant en forme de lapin : le **nabaztag** gràce à <https://www.tagtagtag.fr/>. Suivez nous sur nos réseaux sociaux (sur cette page en bas à droite) pour être informé de la suite.
